use `ombutel`;

update `xepm_settings` as s
    left join `xepm_configuration_types` as c on c.`configuration_type_id` = s.`configuration_type_id`
    left join `xepm_models` as m on m.`model_id` = c.`model_id`
    left join `xepm_brands` as b on b.`brand_id` = m.`brand_id`
set `default` = "*07"
where b.`ident` = "poly" and s.`name` = "call.directedCallPickupString";

insert ignore into `xepm_settings` (`parent_id`, `configuration_type_id`, `setting_type_id`, `name`, `default`)
    select s.`setting_id`, s.`configuration_type_id`, s.`setting_type_id`, v.`name`, v.`default` from `xepm_settings` as s
        left join `xepm_configuration_types` as c on c.`configuration_type_id` = s.`configuration_type_id`
        left join `xepm_models` as m on m.`model_id` = c.`model_id`
        left join `xepm_brands` as b on b.`brand_id` = m.`brand_id`
        cross join (
            select "device.eulaAccepted.set" as `name`, "1" as `default`
            union all select "device.eulaAccepted", "1"
            union all select "device.passwordConfigured.set", "1"
            union all select "device.passwordConfigured", "1"
            union all select "device.showOOB", "1"
            union all select "device.showOOB.set", "0"
        ) as v
    where s.`name` = "device"
        and b.`ident` = "poly"
        -- don't insert if setting already exists
        and not exists (
            select 1
            from `xepm_settings`
            where `parent_id` = s.`setting_id`
            and `configuration_type_id` = s.`configuration_type_id`
            and `setting_type_id` = s.`setting_type_id`
            and `name` = v.`name`
            and `default` = v.`default`
        );
